=== debian/control ===
Source: openio-gridinit
Section: unknown
Priority: optional
Maintainer: Romain Acciari <romain.acciari@openio.io>
Build-Depends: debhelper (>= 9), dh-systemd, cmake, libevent-dev, libglib2.0-dev
Standards-Version: 3.9.5
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: git://anonscm.debian.org/collab-maint/openio-gridinit.git
#Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/openio-gridinit.git;a=summary

Package: openio-gridinit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenIO gridinit daemon
 Init program used by the  OpenIO Open Source Project. It forks processes
 and respawns them as soon as they die. It also provides a simple management
 interface through a UNIX socket. Services can be started/stopped/monitored.
 OpenIO gridinit is a fork of Redcurrant gridinit, from Worldline by Atos.
